org.red5.server.service

## Class PendingCall

- java.lang.Object
- - org.red5.server.service.Call
  - - org.red5.server.service.PendingCall

All Implemented Interfaces:
  Externalizable, Serializable, IPendingServiceCall, IServiceCall

Direct Known Subclasses:
  RemotingCall

    public class PendingCall
    extends Call
    implements IPendingServiceCall

Pending call is remote call operation that is in pending state. Remote calls to services are asynchronous, that is, after call but before result callback remote calls are in pending state.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.red5.server.service.Call

`arguments, exception, serviceMethodName, serviceName, status, STATUS_ACCESS_DENIED, STATUS_APP_SHUTTING_DOWN, STATUS_GENERAL_EXCEPTION, STATUS_INVOCATION_EXCEPTION, STATUS_METHOD_NOT_FOUND, STATUS_NOT_CONNECTED, STATUS_PENDING, STATUS_SERVICE_NOT_FOUND, STATUS_SUCCESS_NULL, STATUS_SUCCESS_RESULT, STATUS_SUCCESS_VOID`

### Constructor Summary

Constructors
Constructor and Description
`PendingCall()`
`PendingCall(String method)` Creates pending call with given method name
`PendingCall(String method, Object[] args)` Creates pending call with given method name and array of parameters
`PendingCall(String name, String method, Object[] args)` Creates pending call with given method name, service name and array of parametes

### Method Summary

Methods
`Set<IPendingServiceCallback>` `getCallbacks()` Returns list of callback objects, usually callback object represented as an anonymous class instance that implements IPendingServiceCallback interface.
`Object` `getResult()` Returns service call result
`void` `readExternal(ObjectInput in)`
`void` `registerCallback(IPendingServiceCallback callback)` Registers callback object usually represented as an anonymous class instance that implements IPendingServiceCallback interface.
`void` `setResult(Object result)` Setter for property 'result'.
`void` `unregisterCallback(IPendingServiceCallback callback)` Unregisters callback object usually represented as an anonymous class instance that implements IPendingServiceCallback interface.
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.red5.server.service.Call

`getArguments, getException, getReadTime, getServiceMethodName, getServiceName, getStatus, getWriteTime, isSuccess, setArguments, setException, setServiceMethodName, setServiceName, setStatus, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.red5.server.api.service.IServiceCall

`getArguments, getException, getReadTime, getServiceMethodName, getServiceName, getStatus, getWriteTime, isSuccess, setException, setStatus`

### Constructor Detail

#### PendingCall

    public PendingCall()

#### PendingCall

    public PendingCall(String method)

Creates pending call with given method name

Parameters:
  `method` - Method name

#### PendingCall

    public PendingCall(String method,
               Object[] args)

Creates pending call with given method name and array of parameters

Parameters:
  `method` - Method name
  `args` - Parameters

#### PendingCall

    public PendingCall(String name,
               String method,
               Object[] args)

Creates pending call with given method name, service name and array of parametes

Parameters:
  `name` - Service name
  `method` - Method name
  `args` - Parameters

### Method Detail

#### getResult

    public Object getResult()

Returns service call result

Specified by:
  `getResult` in interface `IPendingServiceCall`
Returns:
  Remote call result

#### setResult

    public void setResult(Object result)

Setter for property 'result'.

Specified by:
  `setResult` in interface `IPendingServiceCall`
Parameters:
  `result` - Value to set for property 'result'.

#### registerCallback

    public void registerCallback(IPendingServiceCallback callback)

Registers callback object usually represented as an anonymous class instance that implements IPendingServiceCallback interface.

Specified by:
  `registerCallback` in interface `IPendingServiceCall`
Parameters:
  `callback` - Callback object

#### unregisterCallback

    public void unregisterCallback(IPendingServiceCallback callback)

Unregisters callback object usually represented as an anonymous class instance that implements IPendingServiceCallback interface.

Specified by:
  `unregisterCallback` in interface `IPendingServiceCall`
Parameters:
  `callback` - Callback object

#### getCallbacks

    public Set<IPendingServiceCallback> getCallbacks()

Returns list of callback objects, usually callback object represented as an anonymous class instance that implements IPendingServiceCallback interface.

Specified by:
  `getCallbacks` in interface `IPendingServiceCall`
Returns:
  Set of pending operations callbacks

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `Call`
Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `Call`
Throws:
  `IOException`